Axis2/C: HTTP Accept record

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# HTTP Accept record
[http transport]

## Files
file | axis2_http_accept_record.h
| Axis2 HTTP Accept record.

## Typedefs
typedef struct axis2_http_accept_record | axis2_http_accept_record_t
## Functions
AXIS2_EXTERN float | axis2_http_accept_record_get_quality_factor (const axis2_http_accept_record_t *accept_record, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axis2_http_accept_record_get_name (const axis2_http_accept_record_t *accept_record, const axutil_env_t *env)
AXIS2_EXTERN int | axis2_http_accept_record_get_level (const axis2_http_accept_record_t *accept_record, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axis2_http_accept_record_to_string (axis2_http_accept_record_t *accept_record, const axutil_env_t *env)
AXIS2_EXTERN void | axis2_http_accept_record_free (axis2_http_accept_record_t *accept_record, const axutil_env_t *env)
AXIS2_EXTERN axis2_http_accept_record_t * | axis2_http_accept_record_create (const axutil_env_t *env, const axis2_char_t *str)

## Typedef Documentation

typedef struct axis2_http_accept_record axis2_http_accept_record_t

Type name for struct axis2_http_accept_record

## Function Documentation

AXIS2_EXTERN axis2_http_accept_record_t* axis2_http_accept_record_create | ( | const axutil_env_t * | env,
|  | const axis2_char_t * | str |
| ) |  |  |

Creates accept record

Parameters:

  | env | pointer to environment struct
  | str | pointer to str

Returns:
  created accept record

AXIS2_EXTERN void axis2_http_accept_record_free | ( | axis2_http_accept_record_t * | accept_record,
|  | const axutil_env_t * | env |
| ) |  |  |

Frees accept record

Parameters:

  | accept_record | pointer to accept record
  | env | pointer to environment struct

AXIS2_EXTERN int axis2_http_accept_record_get_level | ( | const axis2_http_accept_record_t * | accept_record,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets level of accept record

Parameters:

  | accept_record | pointer to accept record
  | env | pointer to environment struct

Returns:
  level of accept record (1 meaning highest). A return value of -1 indicates that no level is associated.

AXIS2_EXTERN axis2_char_t* axis2_http_accept_record_get_name | ( | const axis2_http_accept_record_t * | accept_record,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets name of accept record

Parameters:

  | accept_record | pointer to accept record
  | env | pointer to environment struct

Returns:
  name of accept record

AXIS2_EXTERN float axis2_http_accept_record_get_quality_factor | ( | const axis2_http_accept_record_t * | accept_record,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets quality factor of accept record

Parameters:

  | accept_record | pointer to accept record
  | env | pointer to environment struct

Returns:
  quality factor between 0 and 1 (1 meaning maximum and 0 meaning minimum)

AXIS2_EXTERN axis2_char_t* axis2_http_accept_record_to_string | ( | axis2_http_accept_record_t * | accept_record,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets string representation of accept record

Parameters:

  | accept_record | pointer to accept record
  | env | pointer to environment struct

Returns:
  created accept record string